Cyberduck Mountain Duck CLI

#11612 closed defect (fixed)

Problem with unavailable region in OVH

Reported by: pik256 Owned by: dkocher
Priority: normal Milestone: 7.8.3
Component: openstack Version: 7.8.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by pik256)

OVH datacenter in Strassbourg has burnt down. This region is unavailable. I try to connect to WAW region with OVH (swift) profile but Cyberduck stops logging with "Service unavailable" message after 503 error at SBG region:

POST /v3/auth/tokens HTTP/1.1
Accept: application/json
Content-Type: application/json
Content-Length: 240
Host: auth.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.2.34203 (Windows 7/6.1) (amd64)
HTTP/1.1 201 Created
X-Subject-Token: ********
Vary: X-Auth-Token
Content-Type: application/json
Content-Length: 38039
x-openstack-request-id: req-d3e7e7e2-ccad-44a4-987a-6e44b60646b4
X-IPLB-Request-ID: 9C435819:0D31_334441F7:01BB_604B8F94_14E41B6:19559
X-IPLB-Instance: 24497
HEAD /v1/AUTH_********/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.de.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.2.34203 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: tx962be821239e43b9baede-00604b8f96
X-Openstack-Request-Id: tx962be821239e43b9baede-00604b8f96
Date: Fri, 12 Mar 2021 15:58:16 GMT
HEAD /v1/AUTH_********/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.uk.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.2.34203 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: tx9d35ab8663ba464f93e10-00604b8f98
X-Openstack-Request-Id: tx9d35ab8663ba464f93e10-00604b8f98
Date: Fri, 12 Mar 2021 15:58:16 GMT
HEAD /v1/AUTH_********/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.gra.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.2.34203 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: txb82d7aa6121d4543941c9-00604b8f98
X-Openstack-Request-Id: txb82d7aa6121d4543941c9-00604b8f98
Date: Fri, 12 Mar 2021 15:58:17 GMT
X-IPLB-Request-ID: 9C435819:0D35_3626E64B:01BB_604B8F98_4C14F4:15E8C
X-IPLB-Instance: 12308
HEAD /v1/AUTH_********/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.sbg.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.2.34203 (Windows 7/6.1) (amd64)
HTTP/1.0 503 Service Unavailable
Cache-Control: no-cache
Connection: close
Content-Type: text/html

I can connect to WAW using a hack from a ticket #10194 but I think Cyberduck should not stop after 503 error in one region. It should only exclude it from a list of available regions instead.

Change History (17)

comment:1 Changed on Mar 12, 2021 at 5:02:50 PM by pik256

  • Description modified (diff)

comment:2 Changed on Mar 12, 2021 at 6:38:01 PM by dkocher

It should work if you customize the connection profile and set a region like

	<key>Region</key>
	<string>WAW</string>

I have not yet verified this myself.

comment:3 Changed on Mar 12, 2021 at 6:46:34 PM by dkocher

  • Milestone set to 7.8.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Mar 13, 2021 at 1:09:23 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50742.

comment:5 Changed on Mar 13, 2021 at 8:12:55 PM by dkocher

Can you please try if still see this issue with the current snapshot build 7.8.3.34379 or later by updating from within Cyberduck in Preferences → Update → Automatically check for updates in → Snapshot Builds.

Last edited on Mar 13, 2021 at 8:13:33 PM by dkocher (previous) (diff)

comment:6 follow-up: Changed on Mar 14, 2021 at 7:39:27 AM by pik256

  • Resolution fixed deleted
  • Status changed from closed to reopened

I am aware of a Region/WAW hack (described in #10194). But without a hack Cyberduck can't connect even though some regions are accessible. The defect is the same in 7.6.2 and in 7.6.3 as well. I updated to version 7.6.3 but still can't connect without adding the WAW region to my profile. A connection log is the same, logging ends at request: "Host: storage.sbg.cloud.ovh.net", reply: "HTTP/1.0 503 Service Unavailable" with "503 Service Unavailable" message. When I connect with a hack, Cyberduck offers me all regions, even unavailable SBG.

comment:7 in reply to: ↑ 6 ; follow-up: Changed on Mar 14, 2021 at 9:09:26 AM by dkocher

Replying to pik256:

I am aware of a Region/WAW hack (described in #10194). But without a hack Cyberduck can't connect even though some regions are accessible. The defect is the same in 7.6.2 and in 7.6.3 as well. I updated to version 7.6.3 but still can't connect without adding the WAW region to my profile. A connection log is the same, logging ends at request: "Host: storage.sbg.cloud.ovh.net", reply: "HTTP/1.0 503 Service Unavailable" with "503 Service Unavailable" message. When I connect with a hack, Cyberduck offers me all regions, even unavailable SBG.

Can you confirm you are running 7.8.3 (34379).

comment:8 in reply to: ↑ 7 ; follow-up: Changed on Mar 14, 2021 at 5:28:42 PM by keben

Replying to dkocher:

Replying to pik256:

I am aware of a Region/WAW hack (described in #10194). But without a hack Cyberduck can't connect even though some regions are accessible. The defect is the same in 7.6.2 and in 7.6.3 as well. I updated to version 7.6.3 but still can't connect without adding the WAW region to my profile. A connection log is the same, logging ends at request: "Host: storage.sbg.cloud.ovh.net", reply: "HTTP/1.0 503 Service Unavailable" with "503 Service Unavailable" message. When I connect with a hack, Cyberduck offers me all regions, even unavailable SBG.

Can you confirm you are running 7.8.3 (34379).

Where this version can be found as on cyberduck.io the only available is 7.8.2 (34203)

comment:9 Changed on Mar 14, 2021 at 5:54:30 PM by keben

In fact it works when using ovh profile template given above and add the Region strings inside it. i did succeed in connecting to it with modified profile AND cyberduck.io 7.8.2 (34203) on windows. Thanks for the directions

comment:10 in reply to: ↑ 8 Changed on Mar 14, 2021 at 7:26:07 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to keben:

Where this version can be found as on cyberduck.io the only available is 7.8.2 (34203)

Update from within Cyberduck in Preferences → Update → Automatically check for updates in → Snapshot Builds.

comment:11 Changed on Mar 14, 2021 at 8:36:04 PM by pik256

I can confirm. I have updated to 7.8.3 (34379). An update from snapshot builds. It does not work without inclusion of region string in profile.

  1. Default OVH profile: service unavailable.
  2. Profile with
            <key>Region</key>
            <string>WAW</string>
    

connected.

comment:12 Changed on Mar 15, 2021 at 7:11:21 AM by dkocher

  • Summary changed from Problem with unavailable region in swift to Problem with unavailable region in OVH

comment:13 Changed on Mar 15, 2021 at 7:11:25 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:14 Changed on Mar 15, 2021 at 7:58:13 AM by dkocher

I can no longer reproduce this issue with the fix applied. Can you please share the HTTP transcript from the log drawer on Windows (Ctrl-L) or by obtaining the log from Console.app.

comment:15 Changed on Mar 15, 2021 at 9:24:51 AM by pik256

I have updated application to v 7.8.3 build 34380. It behaves the same. The log drawer is similar to the one from my first opening ticket post:

POST /v3/auth/tokens HTTP/1.1
Accept: application/json
Content-Type: application/json
Content-Length: 240
Host: auth.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.3.34380 (Windows 7/6.1) (amd64)
HTTP/1.1 201 Created
X-Subject-Token: gAAAAABgTyKPhb1xDZfpTi1ebSbx2P9ha-....
Vary: X-Auth-Token
Content-Type: application/json
Content-Length: 38039
x-openstack-request-id: req-14aaa4a2-c386-4843-9b9e-b8eac17c7dd2
X-IPLB-Request-ID: 9C435819:0B30_334441F7:01BB_604F228E_A13DBC:21234
X-IPLB-Instance: 24497
HEAD /v1/AUTH_43d77b97e6c24395aa047319370cd843/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.de.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.3.34380 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: tx6af90c0989374f64913af-00604f2290
X-Openstack-Request-Id: tx6af90c0989374f64913af-00604f2290
Date: Mon, 15 Mar 2021 09:02:08 GMT
HEAD /v1/AUTH_43d77b97e6c24395aa047319370cd843/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.uk.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.3.34380 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: txa87333041026438c974df-00604f2290
X-Openstack-Request-Id: txa87333041026438c974df-00604f2290
Date: Mon, 15 Mar 2021 09:02:08 GMT
HEAD /v1/AUTH_43d77b97e6c24395aa047319370cd843/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.gra.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.3.34380 (Windows 7/6.1) (amd64)
HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: txf7735acd8dfb482997f1d-00604f2291
X-Openstack-Request-Id: txf7735acd8dfb482997f1d-00604f2291
Date: Mon, 15 Mar 2021 09:02:12 GMT
X-IPLB-Request-ID: 9C435819:0B33_3626E64B:01BB_604F2290_3B9ED6:1DF18
X-IPLB-Instance: 33617
HEAD /v1/AUTH_43d77b97e6c24395aa047319370cd843/v3 HTTP/1.1
X-Auth-Token: ********
Host: storage.sbg.cloud.ovh.net
Connection: Keep-Alive
User-Agent: Cyberduck/7.8.3.34380 (Windows 7/6.1) (amd64)
HTTP/1.0 503 Service Unavailable
Cache-Control: no-cache
Connection: close
Content-Type: text/html

I have created %AppData%\Cyberduck\default.properties file with logging=debug line and %AppData%\Cyberduck\cyberduck.log file was created but it is empty.

Last edited on Mar 16, 2021 at 8:57:11 AM by dkocher (previous) (diff)

comment:16 Changed on Mar 16, 2021 at 12:34:01 PM by dkocher

Add additional checks for 503 responses for unavailable regions in r50759.

comment:17 Changed on Mar 16, 2021 at 1:02:27 PM by pik256

  • Resolution set to fixed
  • Status changed from reopened to closed
  1. 7.8.3 build 34400 works as expected. Thank you.
Note: See TracTickets for help on using tickets.